"use strict";
/**
 * 腾讯会议
 * https://cloud.tencent.com/document/product/1095/51257
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.provider = void 0;
const utils_1 = require("./utils");
async function getAuthData(dsId) {
    const dsToken = await utils_1.getToken(dsId);
    const authInfo = dsToken === null || dsToken === void 0 ? void 0 : dsToken.MeetingToken;
    if (!authInfo || !authInfo.AccessToken) {
        throw new Error(`unable to get Tencent Meeting token of datasource ${dsId}`);
    }
    const now = Date.now();
    // 公共参数说明
    return {
        headers: {
            AccessToken: authInfo.AccessToken,
            OpenId: authInfo.OpenId,
            'X-TC-Registered': 1,
            'X-TC-Timestamp': Math.floor(now / 1000),
            'X-TC-Nonce': Math.floor(Math.random() * now),
        },
        body: {
            userid: authInfo.OpenId,
        },
    };
}
exports.provider = {
    getAuthData,
};
