import { IDataSourceMethod } from '@cloudbase/cals';
import { IFnContext } from '../types';
export declare function isHttpMethod(methodCfg?: IDataSourceMethod): boolean | undefined;
export interface ICallHttpMethod {
    /** 方法名称 */
    methodName: string;
    /** 参数 */
    params?: any;
    /** 数据源配置信息 */
    dsConfig: any;
    /** 方法的配置信息 */
    methodCfg: any;
    /**
     * 是否为测试模式
     */
    isTestMode?: boolean;
}
/**
 * 调用HTTP方法
 */
export declare function callHttpMethod(options: ICallHttpMethod, context: IFnContext): Promise<{
    code: number;
    data: any;
} | {
    code: string | number;
    message: string;
    original: string | undefined;
} | {
    code: number;
    message: any;
    original: any;
}>;
